document.addEventListener('DOMContentLoaded', function() {
	fetch('select_loadfile.php')
		.then(response => response.json())
		.then(data => {
			const selector = document.getElementById('knowledgeBaseSelector');
			// プレースホルダーオプションを追加
			const placeholderOption = document.createElement('option');
			placeholderOption.value = '';
			placeholderOption.textContent = 'ベースファイルを選択';
			placeholderOption.selected = true; // このオプションをデフォルトで選択
			selector.appendChild(placeholderOption);

			data.forEach(file => {
				const option = document.createElement('option');
				option.value = file;
				option.textContent = file;
				selector.appendChild(option);
			});
		});

	const chatForm = document.getElementById('chatForm');
	chatForm.onsubmit = function(event) {
		event.preventDefault();
		const userPrompt = document.getElementById('userPrompt').value;
		const knowledgeBase = document.getElementById('knowledgeBaseSelector').value;

		fetch('select_chat.php', {
			method: 'POST',
			headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
			body: `userPrompt=${encodeURIComponent(userPrompt)}&knowledgeBase=${encodeURIComponent(knowledgeBase)}`
		})
		.then(response => response.json())
		.then(data => {
			const chatMessages = document.getElementById('chatMessages');
			chatMessages.innerHTML += `<p><u><strong>You:</strong> ${userPrompt}</u></p>`;
			chatMessages.innerHTML += `<p><strong>Bot:</strong> ${data.choices[0].message.content}</p>`;
			// 音声読み上げの条件分岐
			if (document.getElementById('voiceEnabled').checked) {
				const utterance = new SpeechSynthesisUtterance(data.choices[0].message.content);
				speechSynthesis.speak(utterance);
			}
		})
		.catch(error => console.error('Error:', error));
	};

	document.getElementById('stopVoice').addEventListener('click', function() {
		speechSynthesis.cancel();
	});

	document.getElementById('clearChat').addEventListener('click', function() {
		document.getElementById('chatMessages').innerHTML = '';
	// userPromptテキストエリアをクリア
	document.getElementById('userPrompt').value = '質問を入力してください';
	});

	document.getElementById('closeChatWindow').addEventListener('click', function() {
		document.getElementById('chatWindow').style.display = 'none';
	});
		// チャットウィンドウを再表示する機能の追加
	document.getElementById('openChatWindow').addEventListener('click', function() {
		document.getElementById('chatWindow').style.display = 'block';
	});
});
