<?php
session_start();
require_once 'サーバーのrootからのパス/apikey/config.php';
$apiKey = OPENAI_API_KEY;
$apiUrl = 'https://api.openai.com/v1/chat/completions';

$userPrompt = filter_input(INPUT_POST, 'userPrompt', FILTER_SANITIZE_STRING);
$knowledgeBaseFileName = filter_input(INPUT_POST, 'knowledgeBase', FILTER_SANITIZE_STRING);

if ($knowledgeBaseFileName !== 'なし') {
    $fileContent = file_get_contents("サーバーのrootからのパス/knowledge/" . $knowledgeBaseFileName);
    $_SESSION['knowledgeBase'] = $fileContent;
    $_SESSION['uploadedFileName'] = $knowledgeBaseFileName;
} else {
    $fileContent = '';
}

$data = [
    'model' => 'gpt-3.5-turbo',
    'max_tokens' => 256,
	'messages' => [
		['role' => 'system', 'content' => 'You are a helpful assistant.'],
		['role' => 'user', 'content' => $fileContent . " " . $userPrompt],
	],
    'temperature' => 0.5
];

$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer ' . $apiKey,
];

$ch = curl_init($apiUrl);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
$response = curl_exec($ch);
curl_close($ch);

if (!$response) {
    echo json_encode(['error' => 'APIリクエストに失敗しました。']);
    exit;
}

echo $response; // 直接応答を返す
